Skip to main content
PUT
Update a logbook entry

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicles belong to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

logbookEntryId
string
required

The id of the logbook entry

Body

application/json

The request body contains the logbook entry that should be replace the other one under the specified id

type
enum<string>
required

Type of trip

Available options:
Business,
Private
fromDatetime
string<date-time>
required

Start time of the entry in UTC

Example:

"2025-10-07T10:24:41.143Z"

fromLocation
object
required
fromMileage
integer
required

Mileage at the start of the trip

toDatetime
string<date-time>

End time of the trip in UTC

Example:

"2025-10-07T10:24:41.143Z"

toLocation
object
toMileage
integer

Mileage at the end of the trip

driver
object
note
string

Additional note about the trip

Response

The update logbook entry

id
integer
required
type
enum<string>
required

Type of trip

Available options:
Business,
Private
fromDatetime
string<date-time>
required

Start time of the entry in UTC

Example:

"2025-10-07T10:24:41.143Z"

fromLocation
object
required
fromMileage
integer
required

Mileage at the start of the trip

Example:

100

created
string<date-time>

Creation time of the logbook entry in UTC

Example:

"2025-10-07T10:24:41.143Z"

toDatetime
string<date-time>

End time of the trip in UTC

Example:

"2025-10-07T10:24:41.143Z"

toLocation
object
toMileage
integer

Mileage at the end of the trip

Example:

340

distance
integer

Covered distance over the duration of the trip

Example:

240

driver
object
note
string

Additional note about the trip